std::basic_streambuf::snextc(3)

NAME
std::basic_streambuf::snextc - std::basic_streambuf::snextc

Synopsis
   int_type snextc();
   Advances the input sequence by one character and reads one character.
   The function calls sbumpc() to advance the input sequence. If that function returns
   Traits::eof() meaning that input sequence has been exhausted and uflow() could not
   retrieve more data, Traits::eof() is returned. Otherwise sgetc() is called in order
   to read the character.

Parameters
   (none)

Return value
   The value of the next character. If the input sequence has been exhausted,
   Traits::eof() is returned.

Example
    This section is incomplete
    Reason: no example

See also
                      reads one character from the input sequence without advancing the
   sgetc sequence
                      (public member function)
   sbumpc reads one character from the input sequence and advances the
   stossc sequence
   (removed in C++17) (public member function)